COL(1)

NAZWA
col - filtruje z wejścia znaki cofnięcia o wiersz

SKŁADNIA
col [-bfhpx] [-l num]

OPIS
Narzędzie użytkowe col filtruje znaki cofnięcia o wiersz (i o pół wiersza), tak że wyjście jest poprawnie uporządkowane i zawiera wyłącznie znaki wysuwu i połowy wysuwu do nowego wiersza. Gdzie jest to możliwe wymienia również spacje na znaki tabulacji. Może to być przydatne przy przetwarzaniu wyjścia z nroff(1) i tbl(1).

col czyta ze standardowego wejścia i zapisuje na standardowe wyjście.

Dostępne są następujące opcje:

-b  Nie wysyła na wyjście znaków backspace, dla każdej pozycji (kolumny) drukuje wyłącznie ostatni znak w niej zapisany.

-f  Dozwolone są wysuwy o połowę wiersza (tryb "fine" - ładny). Normalnie znaki drukowane na granicy połowy wiersza drukowane są w następnym wierszu.

-h  Nie wysyła na wyjście wielokrotnych spacji zamiast tabulacji (zachowanie domyślne).

-lnum
    Buforuje w pamięci co najmniej num wierszy. Domyślnie buforowanych jest 128 wierszy.

-p  Wymusza niezmienianie nieznanych sekwencji sterujących. Normalnie col odfiltruje z wejścia wszystkie sekwencje sterujące różne od tych wymienionych poniżej, które rozpoznaje i obsługuje.

-x  Wysyła na wyjście wielokrotne spacje zamiast znaków tabulacji.

Sekwencje sterujące ruchem karetki, rozumiane przez col oraz ich wartości dziesiętne podano w poniższej tabeli:

ESC-7
    cofnięcie o wiersz (reverse line feed) (escape, potem 7)
ESC-8
    cofnięcie o połowę wiersza (half reverse line feed) (escape, potem 8)
ESC-9
    wysuw do przodu o połowę wiersza (half forward line feed (escape, potem 9)
backspace
    cofnięcie o jedną kolumnę (8); ignorowane w pierwszej kolumnie
powrót karetki
    (powrót karetki) (13)
nowy wiersz
    wysuw wiersza (forward line feed) (10); wykonuje również powrót karetki
shift in
    przełącza na normalny zestaw znaków (15)
shift out
    przełącza na alternatywny zestaw znaków (14)
spacja
    przesuwa do przodu o jedną kolumnę (32)
tab przesuwa do przodu na następną pozycję tabulacji (9)
tabulacja pionowa
    cofnięcie o wiersz (11)

Wszystkie nierozpoznane znaki sterujące i sekwencje specjalne są odrzucane.

col zapamiętuje zestaw znaków podczas ich czytania i upewnia się, że zestaw ten jest poprawny, gdy są one wysyłane na wyjście.

Jeśli wejście usiłuje powrócić do ostatniego, opróżnionego już z bufora na wyjście wiersza, col wyświetli komunikat ostrzegawczy.

ŚRODOWISKO
Zmienne środowiskowe LANG, LC_ALL oraz LC_CTYPE wpływają na działanie col, tak jak to opisano w environ(7).

KOD ZAKOŃCZENIA
col kończy pracę z kodem 0, jeżeli wszystko odbyło się pomyślnie, lub z kodem >0 w razie wystąpienia błędu.

ZOBACZ TAKŻE
colcrt(1), expand(1), nroff(1), tbl(1)

STANDARDY
Narzędzie użytkowe col zgodne jest z susv2.

HISTORIA
Polecenie col pojawiło się w AT&T UNIX.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 9.0.5 oryginału.